package ch.nextbet.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;

import lombok.Getter;
import lombok.Setter;

@Entity
@Getter
@Setter
@DynamicInsert(value = true)
@Table(uniqueConstraints = @UniqueConstraint(columnNames = { "subject", "tournament_id" }))
public class Better extends BaseEntity {

	private String subject;

	@ManyToOne
	private Tournament tournament;

	@ColumnDefault("0")
	@Column(nullable = false)
	private Integer points;

	@ColumnDefault("0")
	@Column(nullable = false)
	private Integer rank;

	@ColumnDefault("0")
	@Column(nullable = false)
	private Integer oldRank;
}