package ch.nextbet.repository;

import java.time.Instant;
import java.util.List;

import javax.enterprise.context.RequestScoped;

import com.blazebit.persistence.CriteriaBuilder;
import com.blazebit.persistence.view.EntityViewSetting;

import ch.nextbet.domain.Tournament;
import ch.nextbet.view.TournamentView;

@RequestScoped
public class TournamentRepository extends BaseRepository {

	public Tournament getById(Long id) {
		CriteriaBuilder<Tournament> cb = criteriaBuilder.create(entityManager, Tournament.class);
		return cb.where("id").eq(id).getSingleResult();
	}

	public List<TournamentView> getAvailableTournament() {
		CriteriaBuilder<Tournament> cb = criteriaBuilder.create(entityManager, Tournament.class);
		CriteriaBuilder<TournamentView> cbView = viewManager.applySetting(EntityViewSetting.create(TournamentView.class), cb);
		return cbView.where("tournamentEnd").ge(Instant.now()).getResultList();
	}
}