package ch.nextbet.resource;

import javax.inject.Inject;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.eclipse.microprofile.jwt.Claim;
import org.eclipse.microprofile.jwt.Claims;

import ch.nextbet.service.BetterService;
import io.quarkus.security.Authenticated;

@Path("better")
@Produces(MediaType.APPLICATION_JSON)
@Consumes(MediaType.APPLICATION_JSON)
public class BetterResource {

	@Inject
	BetterService service;

	@Claim(standard = Claims.sub)
	String subject;

	@GET
	@Authenticated
	public Response getUserName() {
		return Response.ok(service.getForPerson(subject)).build();
	}

	@POST
	@Authenticated
	public Response createBetter(Long tournamentId) {
		return Response.accepted(service.createBetter(tournamentId, subject)).build();
	}

	@GET
	@Path("ranking/{tournament}")
	@Authenticated
	public Response getRanking(@PathParam("tournament") Long tournamentId) {
		return Response.ok(service.getRanking(tournamentId)).build();
	}
}