package ch.nextbet.service;

import java.util.List;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;

import ch.nextbet.domain.Better;
import ch.nextbet.domain.Tournament;
import ch.nextbet.repository.BetterRepository;
import ch.nextbet.repository.TournamentRepository;
import ch.nextbet.view.BetterView;
import ch.nextbet.view.RankingView;

@RequestScoped
public class BetterService {

	@Inject
	BetterRepository repository;

	@Inject
	TournamentRepository tournamentRepository;

	public List<BetterView> getForPerson(String userName) {
		return repository.getForPerson(userName);
	}

	public BetterView createBetter(Long tournamentid, String subject) {
		Tournament tournament = tournamentRepository.getById(tournamentid);

		Better better = new Better();
		better.setSubject(subject);
		better.setTournament(tournament);

		repository.save(better);
		return repository.getForPersonAndTournament(tournamentid, subject);
	}

	public List<RankingView> getRanking(Long tournamentId) {
		return repository.getRanking(tournamentId);
	}
}