package ch.nextbet.resource;

import static io.restassured.RestAssured.given;
import static org.hamcrest.core.Is.is;

import org.junit.jupiter.api.Test;

import ch.nextbet.TokenUtils;
import io.quarkus.test.junit.QuarkusTest;
import io.restassured.response.Response;

@QuarkusTest
public class TournamentResourceTest {

	@Test
	public void testNoBetterAvailable() throws Exception {
		String token = TokenUtils.generateToken("uex5337");
		Response response = given().auth().oauth2(token).get("/tournament").andReturn();
		response.then().statusCode(200).assertThat().body("size()", is(2));
	}

	@Test
	public void testNoAuth() {
		Response response = given().get("/tournament").andReturn();
		response.then().statusCode(401);
	}
}